A I settings
Get creator activation status
Read a creator's activation checklist, subscription requirements and readiness to enable AI messaging.
GET
/v1/agencies/{agencyId}/activationRead a creator's activation checklist, subscription requirements and readiness to enable AI messaging.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
agencyId*string
Length
1 <= lengthQuery Parameters
creatorId?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/agencies/string/activation" \ -H "Authorization: Bearer YOUR_API_KEY"{ "data": { "track": "AI", "trial": { "status": "NONE", "startedAt": null, "endsAt": null, "eligibleCreatorId": null, "daysRemaining": null }, "creators": [ { "creatorId": "string", "creatorName": "string", "platform": "ONLYFANS", "track": "AI", "steps": [ { "key": "connect_creator", "status": "completed", "blockers": [ { "code": "CREATOR_NOT_CONNECTED", "stepKey": "connect_creator", "message": "string", "details": null } ] } ], "currentStepKey": null, "blockers": [ { "code": "CREATOR_NOT_CONNECTED", "stepKey": "connect_creator", "message": "string", "details": null } ], "canEnableAi": true, "isAiEnabled": true, "aiReadiness": null, "playgroundTestedAt": null, "playgroundProgress": { "successfulReplyCount": 0, "requiredReplyCount": 0 }, "crmActivatedAt": null } ], "hasMoreCreators": true, "hasActivatedAi": true }, "meta": { "requestId": "string" }}